← OBPv7.0.0 Get retirement_certificate by id GET /obp/v7.0.0/banks/ogcr/dynamic-entities/retirement_certificate/RETIREMENT_CERTIFICATE_ID OBPv7.0.0-dynamicEntity_getSingleretirement_certificate_ogcr Roles: CanGetDynamicEntityRecord_retirement_certificate(per bank) _Retirement_certificate(ogcr)Dynamic-EntityDynamic Get retirement_certificate by id. Parsed entity retirement_certificate. This Dynamic Entity is part of OGCR. Property List: retirement_certificate_id: (uu)id of the retirement certificate serial_number: Unique serial number of the retirement certificate retirement_event_id: Reference to the retirement event this certificate is certifying. MethodRouting settings example: <details> { "is_bank_id_exact_match":false, "method_name":"dynamicEntityProcess", "connector_name":"rest_vMar2019", "bank_id_pattern":".*", "parameters":[ { "key":"entityName", "value":"retirement_certificate" } { "key":"url", "value":"http://mydomain.com/xxx" } ] } </details> User Authentication is Required. The User must be logged in. The Application must also be authenticated. Example success response { "bank_id": "ogcr", "retirement_certificate": { "retirement_certificate_id": "string", "serial_number": "string", "retirement_event_id": "string", "issue_date": "2020-01-01", "beneficiary_name": "string", "end_use": "string", "amount": 1, "unit_type": "string", "activity_id": "string", "activity_name": "string", "operator_id": "string", "certification_scheme_id": "string", "certification_body_id": "string" }, "metadata": { "created": { "at": "2026-09-30T10:12:00Z", "user_id": "a9f2c7e1-3d4b-4a5c-8e6f-7a8b9c0d1e2f", "on_behalf_of_user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1" }, "updated": { "at": "2026-09-30T11:40:00Z", "user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1", "on_behalf_of_user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1" } } } Possible errors (3) OBP-20001: User not logged in. Authentication is required!OBP-20006: User is missing one or more roles: OBP-50000: Unknown Error.